/*******************************************************************
 Copyright (C) 2011-2024  Patrick H. E. Foubet - S.E.R.I.A.N.E.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or any
later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>
*******************************************************************/

/* fonctions d'execution de commandes externes */

#define EX_NOOUT 1
#define EX_NOERR 2
#define EX_DUREE 4
#define EX_SILENT EX_NOOUT|EX_NOERR

#define FCT_COMe 	0
#define FCT_COME 	1
#define FCT_COML 	2
#define FCT_COMl 	3
#define FCT_COMr 	4
#define FCT_COMR 	5
#define FCT_COMv 	6
#define FCT_COMV 	7
#define FCT_COMinf	8
#define FCT_COMsup	9


/* Var. globales */
extern pid_t pidG;
extern char * NPROG;

extern void prAube(void);
extern void Pignore(char *m);
extern int comsh(char *com,int mode);
extern char * comWhois(char *ip);
extern int exeComA(char *c);
extern void razIPT(void);
extern int initIPT(void);
extern int isIPprotegee(int v6, char *ip);
extern int isIPbloquee(int v6, char *ip);
extern int rejetIP(int v6, char *ip);
extern int protegeIP(int v6, char *ip);
extern int derejetIP(int v6, char *ip);
extern int deprotegeIP(int v6, char *ip);
extern void comFct(int C, int JCTL,char *cmd);
