/*******************************************************************
 Copyright (C) 2011-2024  Patrick H. E. Foubet - S.E.R.I.A.N.E.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or any
later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>
*******************************************************************/

/* gestion niveau de trace */

/* ### les niveaux de trace */
#define TMIN 0
#define TMAX 3

#define T1 getTrace() > 0
#define T2 getTrace() > 1
#define T3 getTrace() > 2

extern int DebugOn;

extern void setTrace(int v);
extern int incrTrace(int v);
extern int getTrace(void);
extern void prTrace(void);
extern void trace(int N, const char * format, ...);
extern void Tdebug(const char * format, ...);
